import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideRouter } from '@angular/router';
import { provideHttpClient } from '@angular/common/http';
import { provideAnimations } from '@angular/platform-browser/animations';

import { MenuItems } from '@components/shared';
import { AeronefsComponent } from './aeronefs.component';

describe('AeronefsComponent', () => {
  let component: AeronefsComponent;
  let fixture: ComponentFixture<AeronefsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [AeronefsComponent],
      providers: [
        provideRouter([]),
        provideHttpClient(),
        provideAnimations(),
        MenuItems,
      ],
    })
    .compileComponents();
    
    fixture = TestBed.createComponent(AeronefsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
